<div class="toast" {{did-insert this.setup}}>
  {{#if @title}}
    <div class="toast-header {{if @level (concat "text-" @level)}}">
      {{#if @icon}}
        <div class="d-inline-block me-2">
          <FaIcon @icon={{@icon}} />
        </div>
      {{/if}}

      <strong class="me-auto">{{@title}}</strong>
      {{#if @time}}
        <small>{{@time}}</small>
      {{/if}}

      <button type="button" class="btn-close" data-bs-dismiss="toast" aria-label="Close"></button>
    </div>
  {{/if}}

  <div class="toast-body">
  {{yield}}
  </div>
</div>